groovy.json.internal

## Class JsonParserUsingCharacterSource

- java.lang.Object
- - groovy.json.internal.BaseJsonParser
  - - groovy.json.internal.JsonParserUsingCharacterSource

All Implemented Interfaces:
  JsonParser

    public class JsonParserUsingCharacterSource
    extends BaseJsonParser

Converts an input JSON String into Java objects works with String or char array as input. Produces an Object which can be any of the basic JSON types mapped to Java.

Author:
  Rick Hightower

### Field Summary

Fields
`protected static char[]` `FALSE`
`protected static char[]` `NULL`
`protected static char[]` `TRUE`

### Fields inherited from class groovy.json.internal.BaseJsonParser

`ALPHA_0, ALPHA_1, ALPHA_2, ALPHA_3, ALPHA_4, ALPHA_5, ALPHA_6, ALPHA_7, ALPHA_8, ALPHA_9, bufSize, charset, CLOSED_BRACKET, CLOSED_CURLY, COLON, COMMA, DECIMAL_POINT, DOUBLE_QUOTE, ESCAPE, internedKeysCache, internKeys, LETTER_BIG_E, LETTER_E, MINUS, PLUS`

### Constructor Summary

Constructors
Constructor and Description
`JsonParserUsingCharacterSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `complain(java.lang.String complaint)`
`protected boolean` `decodeFalse()`
`protected java.util.List` `decodeJsonArray()`
`protected java.lang.Object` `decodeJsonObject()`
`protected java.lang.Object` `decodeNull()`
`protected boolean` `decodeTrue()`
`protected java.lang.String` `exceptionDetails(java.lang.String message)`
`java.lang.Object` `parse(char[] chars)`
`java.lang.Object` `parse(java.io.Reader reader)`

### Methods inherited from class groovy.json.internal.BaseJsonParser

`charDescription, findEndQuote, hasEscapeChar, isDecimalChar, isDelimiter, isDoubleQuote, isEscape, isNumberDigit, parse, parse, parse, parse, parse, parse, parse, setCharset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NULL

    protected static final char[] NULL

#### TRUE

    protected static final char[] TRUE

#### FALSE

    protected static char[] FALSE

### Constructor Detail

#### JsonParserUsingCharacterSource

    public JsonParserUsingCharacterSource()

### Method Detail

#### exceptionDetails

    protected java.lang.String exceptionDetails(java.lang.String message)

#### decodeJsonObject

    protected final java.lang.Object decodeJsonObject()

#### complain

    protected final void complain(java.lang.String complaint)

#### decodeNull

    protected final java.lang.Object decodeNull()

#### decodeTrue

    protected final boolean decodeTrue()

#### decodeFalse

    protected final boolean decodeFalse()

#### decodeJsonArray

    protected final java.util.List decodeJsonArray()

#### parse

    public java.lang.Object parse(java.io.Reader reader)

Specified by:
  `parse` in interface `JsonParser`
Overrides:
  `parse` in class `BaseJsonParser`

#### parse

    public java.lang.Object parse(char[] chars)